public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-libs/rest/
Date: Sat,  2 Apr 2016 12:28:10 +0000 (UTC)	[thread overview]
Message-ID: <1459600082.50b612131a7ff349a7b0487ddd44189d8918a5c2.pacho@gentoo> (raw)

commit:     50b612131a7ff349a7b0487ddd44189d8918a5c2
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Sat Apr  2 12:24:48 2016 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Sat Apr  2 12:28:02 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=50b61213

net-libs/rest: Stop relying on libsoup-gnome

Package-Manager: portage-2.2.28

 net-libs/rest/rest-0.7.93-r1.ebuild | 61 +++++++++++++++++++++++++++++++++++++
 1 file changed, 61 insertions(+)

diff --git a/net-libs/rest/rest-0.7.93-r1.ebuild b/net-libs/rest/rest-0.7.93-r1.ebuild
new file mode 100644
index 0000000..ad507b8
--- /dev/null
+++ b/net-libs/rest/rest-0.7.93-r1.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+GCONF_DEBUG="no"
+GNOME2_LA_PUNT="yes"
+
+inherit eutils gnome2 multilib-minimal virtualx
+
+DESCRIPTION="Helper library for RESTful services"
+HOMEPAGE="https://wiki.gnome.org/Projects/Librest"
+
+LICENSE="LGPL-2.1"
+SLOT="0.7"
+IUSE="+introspection test"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+# Coverage testing should not be enabled
+RDEPEND="
+	app-misc/ca-certificates
+	>=dev-libs/glib-2.24:2[${MULTILIB_USEDEP}]
+	dev-libs/libxml2:2[${MULTILIB_USEDEP}]
+	net-libs/libsoup:2.4[${MULTILIB_USEDEP}]
+	introspection? ( >=dev-libs/gobject-introspection-0.6.7:= )
+"
+DEPEND="${RDEPEND}
+	>=dev-util/gtk-doc-am-1.13
+	>=dev-util/intltool-0.40
+	virtual/pkgconfig[${MULTILIB_USEDEP}]
+	test? ( sys-apps/dbus[${MULTILIB_USEDEP}] )
+"
+
+multilib_src_configure() {
+	# gnome support only adds dependency on obsolete libsoup-gnome
+	# https://bugzilla.gnome.org/show_bug.cgi?id=758166
+	ECONF_SOURCE=${S} \
+	gnome2_src_configure \
+		--disable-static \
+		--disable-gcov \
+		--without-gnome \
+		--with-ca-certificates="${EPREFIX}"/etc/ssl/certs/ca-certificates.crt \
+		$(multilib_native_use_enable introspection)
+
+	if multilib_is_native_abi; then
+		ln -s "${S}"/docs/reference/rest/html docs/reference/rest/html || die
+	fi
+}
+
+multilib_src_test() {
+	# Tests need dbus
+	Xemake check
+}
+
+multilib_src_compile() {
+	gnome2_src_compile
+}
+
+multilib_src_install() {
+	gnome2_src_install
+}


             reply	other threads:[~2016-04-02 12:28 UTC|newest]

Thread overview: 34+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2016-04-02 12:28 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2016-04-02 12:28 [gentoo-commits] repo/gentoo:master commit in: net-libs/rest/ Pacho Ramos
2016-05-28 15:49 Pacho Ramos
2016-05-30 21:15 Pacho Ramos
2016-06-11 12:06 Pacho Ramos
2016-06-11 19:39 Pacho Ramos
2016-06-28 20:34 Pacho Ramos
2016-07-30 10:27 Jeroen Roovers
2016-08-21 12:44 Pacho Ramos
2017-06-28 10:55 Alexis Ballier
2017-10-21 10:11 Gilles Dartiguelongue
2017-11-06 20:49 Tobias Klausmann
2017-11-23 20:47 Sergei Trofimovich
2017-12-16 14:04 Tobias Klausmann
2017-12-19 19:14 Thomas Deutschmann
2017-12-21 23:31 Mart Raudsepp
2018-03-22 22:25 Sergei Trofimovich
2018-10-06 22:37 Mart Raudsepp
2019-01-29 13:47 Mikle Kolyada
2019-05-23  6:39 Aaron Bauman
2020-02-09 16:09 Mart Raudsepp
2021-05-21  0:51 Yixun Lan
2022-06-23 20:12 David Seifert
2022-10-31 14:28 Matt Turner
2022-11-20  0:27 Sam James
2022-11-20  0:47 Sam James
2022-11-20  0:47 Sam James
2022-11-20  7:56 Yixun Lan
2022-11-21 16:37 Joonas Niilola
2022-11-21 20:41 Arthur Zamarin
2022-12-16 20:30 Arthur Zamarin
2023-04-01 19:03 Arthur Zamarin
2023-04-02  0:57 Matt Turner
2023-07-05  2:45 WANG Xuerui

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1459600082.50b612131a7ff349a7b0487ddd44189d8918a5c2.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox